=== debian/changelog ===
emacs-jedi (0.2.7-3) unstable; urgency=medium

  * Migrate to dh 12 without d/compat
  * d/control: Drop python2 dependencies (Closes: #936476)
  * d/control: Drop emacs25 from Enhances
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 06 Sep 2019 15:55:56 +0500

emacs-jedi (0.2.7-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 31 Aug 2019 10:04:30 -0300

emacs-jedi (0.2.7-1) unstable; urgency=medium

  * Initial release (Closes: #829589)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 13 Jul 2018 22:14:31 +0500
