=== debian/changelog ===
emacs-jedi (0.2.8-1) unstable; urgency=medium

  * New upstream version 0.2.8
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Add dependencies on python3-{epc,sexpdata}
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 10 Dec 2019 21:18:25 +0500
