=== debian/control ===
--- 
+++ 
@@ -10,9 +10,12 @@
                elpa-mocker,
                elpa-python-environment,
                python3,
+               python3-epc,
                python3-jedi,
+               python3-sexpdata,
                virtualenv
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/tkf/emacs-jedi
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-jedi
@@ -23,7 +26,9 @@
 Depends: ${elpa:Depends},
          ${misc:Depends},
          python3,
+         python3-epc,
          python3-jedi,
+         python3-sexpdata,
          virtualenv
 Recommends: emacs (>= 46.0)
 Enhances: emacs
