=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-jedi-$1.tar.gz%" \
             https://github.com/tkf/emacs-jedi/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
