## emacs-jedi 0.2.8+git20220410.81c5a42

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 # See: cask-elpa-dir
 
 VIRTUAL_EMACS = ${CASK} exec ${EMACS} -Q \
---eval "(setq python-environment--verbose t)" \
 --eval "(setq jedi:environment-root \"$(ENV)\")"
 
 .PHONY : test test-1 tryout clean-elpa requirements env clean-env clean \
