=== debian/changelog ===
emacs-jedi (0.2.8+git20220410.81c5a42-1) unstable; urgency=medium

  [ Lev Lamberov ]
  * QA upload
  * New upstream version 0.2.8+git20220410.81c5a42
  * Declare Standards-Version 4.6.2 (no changes needed)
  * Clean Recommends
  * Bump copyright years
  * Add upstream metadata

  [ Debian Janitor ]
  * Move package to QA team

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 22 Aug 2023 14:14:44 +0500
