=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: emacs-jedi
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Lev Lamberov <dogsleg@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-auto-complete,
@@ -14,7 +13,7 @@
                python3-jedi,
                python3-sexpdata,
                virtualenv
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/tkf/emacs-jedi
@@ -30,7 +29,7 @@
          python3-jedi,
          python3-sexpdata,
          virtualenv
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: common code of jedi.el and company-jedi.el
  The package provides a Python auto-completion package for Emacs. It
@@ -44,7 +43,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: Python auto-completion for Emacs
  The package provides a Python auto-completion package for Emacs. It
