=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_test:
	@echo skipping upstream auto_test

override_dh_auto_install:
	@echo skipping upstream auto_install

.PHONY: override_dh_auto_build override_dh_auto_test override_dh_auto_install
